#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtMultimedia/qaudio.h>
#include <QSound>
#include <QTime>

#include <QWidget>
#include <QObject>
#include <QIODevice>
#include <QtMultimedia/QAudioInput>
#include <audioinfo.h>


namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    QString alarmTime;
    int alarm_state;
    float time_from_start;
    QSound *soundObject;

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void initializeAlarm();

private:
    Ui::MainWindow *ui;
    QAudioDeviceInfo m_device;
    AudioInfo *m_audioInfo;
    QAudioFormat m_format;
    QAudioInput *m_audioInput;
    QIODevice *m_input;
    bool m_pullMode;
    QByteArray m_buffer;
    qreal prevLevel;
    qreal maxLevel;
public slots:
    void playAlarm();
    void timeControl();
    void startClock();
    void setAlarm();
    void updateLevel();
    void setLevelAverage();
};

#endif // MAINWINDOW_H
